//  GetPass 7.1 - C_FILTER for F6FBB BBS Software
//  Written by Marco Savegnago IW3FQG

#ifndef __GPAPPS_H
#define __GPAPPS_H

#include "tdef.h"

#include <fstream.h>
#include <dir.h>

class TMakePass
{
public:

	TMakePass(int na, char **a, ostream&	ostream);
	bool Run();

private:

	void banner();
	void usage();

	ostream&	out;
	char  	sz_currentDrive[ MAXDRIVE ];
	char  	sz_currentDir  [ MAXDIR ];
	char  	sz_currentName [ MAXFILE ];
	char*		psz_callsign;
   char*		psz_passwordFile;
	char*		psz_userCmd;
   bool		b_stripSSID;

	static	const char TMakePass::thisVersion[];
};

#endif // __GPAPPS_H

